# Utility

### Utility endpoints

#### Refresh CarbonRegistry.com's onchain transaction indexers

Callable by any access token regardless of permissions. Calling this endpoint refreshes the CarbonRegistry.com's indexing services so they can more quickly generate transaction receipts and retirement certificates. Especially useful for onchain retirements that happen off the CarbonRegistry.com platform when users want the retirement certificate to be generated more quickly.

{% openapi src="/files/e1BPG9KQvvapGzTy8alf" path="/carbonRegistry/onchain/indexer/refresh" method="post" %}
[openapi.yaml](https://2441265052-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfIdoGcZZdvap67xjb5h1%2Fuploads%2Fmabe2nfB82a3vZ8qM4e9%2Fopenapi.yaml?alt=media\&token=b0070a9e-b5c0-4246-9200-1241aa683103)
{% endopenapi %}

{% tabs %}
{% tab title="cURL" %}

```
curl -X 'POST' \
  'https://api.carbonregistry.com/carbonRegistry/onchain/indexer/refresh' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"\
  -H 'x-icr-api-version: 2023-06-16'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.carbonregistry.com/documentation/carbonregistry.com/api/endpoints/v0.5/utility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
